<?php
/*
Plugin Name: PL's alternative theme
Plugin URI: http://blog.serv.idv.tw/?p=601
Description: Use Rod McFarland's <a href="http://themes.wordpress.net/columns/1-column/1418/cli-10/" title="CLI 1.0 | Theme viewer" target="_blank">Wordpress CLI theme</a> as an alternative option without hacking singe line of code. After the plugin is activated, "[siteurl]/cli" will be directed to the CLI mode. Make sure you have put the  CLI theme files under "wp-content/themes".
Author: PipperL
Version: 1.0
Author URI: http://blog.serv.idv.tw

Copyright 2007  PipperL  (email : pipperl@serv.idv.tw)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

function filter_dynamic_relocate_tmpl($content) {

	$customerized_dir = 'cli';
	$alternative_theme = 'cli-10';

	$site_url = get_settings('siteurl');
	$alternative_theme_uri = $site_url.'/wp-content/themes/'.$alternative_theme.'/';
	
	if (strstr($_SERVER["SCRIPT_URI"],$site_url.'/index.php')) return $content;
	if (strstr($_SERVER["SCRIPT_URI"],$site_url.'/'.$customerized_dir)) return $alternative_theme;
	if (strstr($_SERVER["SCRIPT_URI"] ,$alternative_theme_uri.'cli.js.php')) return $alternative_theme;
	if (strstr($_SERVER["SCRIPT_URI"] ,$alternative_theme_uri.'interpret.php')) return $alternative_theme;
    return $content;
}

add_filter('template', 'filter_dynamic_relocate_tmpl');
add_filter('stylesheet', 'filter_dynamic_relocate_tmpl');
?>